<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Contact extends CI_Controller{
  public function index()
  {
    $page = $this->crud->getDataSingle('pages', 'contact', 'pid', null);
    $config['page'] = $page;
    $config['pageType'] = 'static';
    $config['seoTitle'] = $page->seo_title;
    $config['seoDesc'] = $page->seo_description;
    $config['seoKey'] = $page->seo_keywords;
    $this->load->helper('captcha');
    $captcha_config = [
      'img_path'      => './upload/captcha/',
      'img_url'       => base_url('captcha/'),
      'img_width'     => 150,
      'img_height'    => 42,
      'expiration'    => 7200,
      'word_length'   => 6,
      'font_size'     => 16,
      'img_id'        => 'Imageid',
      'pool'          => '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ',
      // White background and border, black text and red grid
      'colors'        => array(
        'background' => array(255, 255, 255),
        'border' => array(255, 255, 255),
        'text' => array(5, 41, 10),
        'grid' => array(136, 168, 223)
      )
    ];
    $captcha = create_captcha($captcha_config);
    $this->session->set_userdata('captcha_word', $captcha['word']);
    $data['captcha'] = $captcha;
    $this->load->view('public/common/public-header', $config);
    $this->load->view('public/contact', $data);
    $this->load->view('public/common/public-footer');
  }
  public function process()
  {
    if ($this->input->server('REQUEST_METHOD') === 'POST')
    {
      // CAPTCHA validation
      $captcha_input = $this->input->post('captcha');
      $captcha_word = $this->session->userdata('captcha_word');
      if ($captcha_input !== $captcha_word) {
        $this->session->set_flashdata('type', 'error');
        $this->session->set_flashdata('title', 'CAPTCHA Error');
        $this->session->set_flashdata('msg', 'The CAPTCHA text did not match.');
        return redirect(base_url('contact.php'));
      }
      // Clear CAPTCHA from session
      $this->session->unset_userdata('captcha_word');
      // Existing form processing code
      $data['name'] = $this->input->post('name') ?? null;
      $data['email'] = $this->input->post('email') ?? null;
      $data['subject'] = $this->input->post('subject') ?? null;
      $data['message'] = $this->input->post('message') ?? null;
      $data['created'] = date('Y-m-d H:i:s');
      if ($this->crud->save('message', $data, false)) {
        $this->session->set_flashdata('type', 'success');
        $this->session->set_flashdata('title', 'Message Sent!');
        $this->session->set_flashdata('msg', 'The message has been sent successfully.');
      } else {
        $this->session->set_flashdata('type', 'error');
        $this->session->set_flashdata('title', 'Not Sent!');
        $this->session->set_flashdata('msg', 'Unable to send the message!');
      }
      return redirect(base_url('contact.php'));
    }
    else
    {
      $this->session->set_flashdata('type', 'error');
      $this->session->set_flashdata('title', 'Error');
      $this->session->set_flashdata('msg', 'No direct script access allowed.');
      return redirect(base_url('contact.php'));
    }
  }
}
?>
