<style>
.input-container {
  margin-bottom: 10px;
}
</style>
<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-edit" aria-controls="navs-top-edit" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-grid"></i> Manage Products
            </button>
          </li>
          <li class="nav-item">
            <a href="<?=base_url('admin/addProduct.php')?>" class="nav-link">
              <i class="menu-icon tf-icons bx bx-plus"></i> Add Product
            </a>
          </li>
          <li class="nav-item">
            <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-category" aria-controls="navs-top-category" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-tag"></i> Manage Category
            </button>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-edit" role="tabpanel">
            <table id="productsTable" class="table table-hover dt">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Name</th>
                  <th>URI</th>
                  <th>Category</th>
                  <th>Added</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <?php foreach ($this->crud->getProducts() as $product): ?>
                  <tr>
                    <td><?= $product->id ?></td>
                    <td><?= $product->name ?></td>
                    <td><?= $product->uri ?></td>
                    <td><?= $product->category_name ?></td>
                    <td><?= daysago($product->added) ?></td>
                    <td>
                      <div class="btn-group">
                        <a href="<?=base_url('admin/editProduct/'.$product->id)?>" class="btn btn-warning btn-sm text-white">
                          <i class="bx bx-edit"></i> Edit
                        </a>
                        <button type="button" class="btn btn-sm btn-danger" onclick="dc('<?=base_url('admin/deleteProduct/'.$product->id)?>')">
                          <i class="bx bx-trash"></i> Delete
                        </button>
                      </div>
                    </td>
                  </tr>
                <?php endforeach; ?>
              </tbody>
            </table>
          </div>
          <div class="tab-pane fade" id="navs-top-category" role="tabpanel">
            <div class="my-3" id="Section-2">
              <div class="card mb-3">
                <div class="card-body pt-3">
                  <?= form_open(base_url('admin/saveCategory'), ['id' => 'dynamicForm']) ?>
                  <div class="input-container">
                    <input type="text" name="name" class="textInputBox form-control" placeholder="Enter text" form="dynamicForm">
                  </div>
                  <div class="mt-2">
                    <button type="submit" class="btn btn-primary" id="saveDataBtn">
                      <i class="fas fa-save fa-fw"></i> Save Data
                    </button>
                  </div>
                  <?= form_close() ?>
                  <hr>
                  <?php foreach ($this->crud->getDataAll('categories', 'id', 'desc') as $category): ?>
                    <div class="my-2">
                      <?=form_open(base_url('admin/updateCategory')) ?>
                      <div class="row">
                        <div class="col-md-10">
                          <input type="text" name="name" value="<?=$category->name ?>" class="form-control" placeholder="Enter text">
                        </div>
                        <div class="col-md-1">
                          <input type="hidden" name="id" value="<?=$category->id ?>">
                          <button type="submit" class="btn btn-warning">
                            <i class="fas fa-save"></i>
                          </button>
                        </div>
                        <div class="col-md-1">
                          <button type="button" class="btn btn-danger" onclick="dc('<?=base_url('admin/deleteCategory/'.$category->id)?>')">
                            <i class="fas fa-trash"></i>
                          </button>
                        </div>
                      </div>
                      <?=form_close() ?>
                    </div>
                  <?php endforeach; ?>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--/ Card layout -->
  </div>
  <!-- / Content -->
  <script>
  let fieldIndex = 2;
  document.getElementById('add-more').addEventListener('click', function() {
    const wrapper = document.getElementById('product-fields-wrapper');
    // Create a new div to contain the new fields
    const newFields = document.createElement('div');
    newFields.className = 'row g-2';
    newFields.id = 'product-fields' + fieldIndex;
    // Set up the HTML for the new fields
    newFields.innerHTML = `
    <div class="col-lg-6 mb-3">
    <label for="photo${fieldIndex}" class="form-label">Product Photo #${fieldIndex}</label>
    <input type="file" id="photo${fieldIndex}" name="media[]" class="form-control" placeholder="Enter here...">
    </div>
    <div class="col-lg-6 mb-3">
    <label for="productid${fieldIndex}" class="form-label">Product ID #${fieldIndex}</label>
    <input type="text" id="productid${fieldIndex}" name="productid[]" class="form-control" placeholder="Enter here...">
    </div>
    `;
    // Append the new fields to the wrapper
    wrapper.appendChild(newFields);
    fieldIndex++;
  });
  </script>
