<style>
.input-container {
  margin-bottom: 10px;
}
</style>
<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-edit" aria-controls="navs-top-edit" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-plus"></i> Add Product
            </button>
          </li>
          <li class="nav-item">
            <a href="<?=base_url('admin/products.php')?>" class="nav-link">
              <i class="menu-icon tf-icons bx bx-grid"></i> Manage Products
            </a>
          </li>
          <li class="nav-item">
            <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-category" aria-controls="navs-top-category" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-tag"></i> Manage Category
            </button>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-edit" role="tabpanel">
            <?=form_open_multipart(base_url('admin/saveProduct')) ?>
            <div class="row g-2">
              <div class="col-lg-12 mb-3">
                <label for="category0" class="form-label">Product Name</label>
                <select class="form-control" name="category" required>
                  <option value="">Select Category</option>
                  <?php foreach ($this->crud->getDataAll('categories', 'id', 'asc') as $cat): ?>
                    <option value="<?=$cat->id ?>">
                      <?=$cat->name ?>
                    </option>
                  <?php endforeach; ?>
                </select>
              </div>
            </div>
            <div class="row g-2">
              <div class="col-lg-6 mb-3">
                <label for="name" class="form-label">Product Name</label>
                <input type="text" id="name" name="name" class="form-control" placeholder="Enter here...">
              </div>
              <div class="col-lg-6 mb-3">
                <label for="uri" class="form-label">Product URI</label>
                <input type="text" id="uri" name="uri" class="form-control" placeholder="Enter here...">
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="content0" class="form-label">Content</label>
                <textarea type="text" id="content0" name="content" class="form-control editor" placeholder="Enter here..."></textarea>
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="seo_title" class="form-label">SEO Title</label>
                <textarea id="seo_title" name="seo_title" class="form-control" placeholder="Enter SEO Title..."></textarea>
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="seo_description" class="form-label">SEO Description</label>
                <textarea id="seo_description" name="seo_description" class="form-control" placeholder="Enter SEO Description..."></textarea>
              </div>
            </div>
            <div class="row g-2">
              <div class="col mb-3">
                <label for="seo_keywords" class="form-label">SEO Keywords</label>
                <textarea id="seo_keywords" name="seo_keywords" class="form-control" placeholder="Enter SEO Keywords..."></textarea>
              </div>
            </div>
            <div id="product-fields-wrapper">
              <div class="row g-2" id="product-fields0">
                <div class="col-lg-6 mb-3">
                  <label for="photo1" class="form-label">Product Photo #1</label>
                  <input type="file" id="photo1" name="media[]" class="form-control" placeholder="Enter here...">
                </div>
                <div class="col-lg-4 mb-3">
                  <label for="productid1" class="form-label">Product ID #1</label>
                  <input type="text" id="productid0" name="productid[]" class="form-control" placeholder="Enter here...">
                </div>
                <div class="col-lg-2 mb-3">
                  <label class="form-label d-block">Action</label>
                  <button type="button" class="btn btn-secondary w-100" id="add-more">Add More</button>
                </div>
              </div>
            </div>
            <div class="mt-3 d-flex justify-content-between">
              <button type="submit" class="btn btn-primary"><i class="fas fa-save fa-fw"></i> Save Product</button>
            </div>
            <?=form_close() ?>
          </div>
          <div class="tab-pane fade" id="navs-top-category" role="tabpanel">
            <div class="my-3" id="Section-2">
              <div class="card mb-3">
                <div class="card-body pt-3">
                  <?= form_open(base_url('admin/saveCategory'), ['id' => 'dynamicForm']) ?>
                  <div class="input-container">
                    <input type="text" name="name" class="textInputBox form-control" placeholder="Enter text" form="dynamicForm">
                  </div>
                  <div class="mt-2">
                    <button type="submit" class="btn btn-primary" id="saveDataBtn">
                      <i class="fas fa-save fa-fw"></i> Save Data
                    </button>
                  </div>
                  <?= form_close() ?>
                  <hr>
                  <?php foreach ($this->crud->getDataAll('categories', 'id', 'desc') as $category): ?>
                    <div class="my-2">
                      <?=form_open(base_url('admin/updateCategory')) ?>
                      <div class="row">
                        <div class="col-md-10">
                          <input type="text" name="name" value="<?=$category->name ?>" class="form-control" placeholder="Enter text">
                        </div>
                        <div class="col-md-1">
                          <input type="hidden" name="id" value="<?=$category->id ?>">
                          <button type="submit" class="btn btn-warning">
                            <i class="fas fa-save"></i>
                          </button>
                        </div>
                        <div class="col-md-1">
                          <button type="button" class="btn btn-danger" onclick="dc('<?=base_url('admin/deleteCategory/'.$category->id)?>')">
                            <i class="fas fa-trash"></i>
                          </button>
                        </div>
                      </div>
                      <?=form_close() ?>
                    </div>
                  <?php endforeach; ?>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--/ Card layout -->
  </div>
  <!-- / Content -->
