<style media="screen">
/* a.nav-link.active {
color: #26397a;
} */

ul.items {
  margin: 0;
  padding: 18px 0; /* Removed duplicate padding */
  list-style-type: none !important;
  width: 100%;
  background-color: #fff;
  font-size: 0.875em;
  position: relative; /* Fixed typo from "reltive" */
}

.items > li > a {
  font-size: 20px;
  display: block;
  padding-right: 30px;
  position: relative;
  opacity: 1;
  font-weight: 300;
  cursor: pointer;
  color: #222;
}

.itemHover {
  font-size: 20px;
  color: #fff;
  font-weight: 600;
  transition: background-color 0.4s ease-in-out;
}

.items > li > a:hover {
  font-size: 20px;
  background-color: #ffffff;
  color: #26397a;
  font-weight: 600;
  transition: background-color 0.4s ease-in-out;
}

.items > li > a.expanded {
  font-size: 20px;
  background-color: #ffffff;
  color: #26397a;
  font-weight: 600;
  transition: background-color 0.4s ease-in-out;
}

.sub-items > li:first-child > a {
  margin-top: 17px;
  height: 34px;
}

.sub-items > li:last-child > a {
  margin-bottom: 17px;
  height: 34px;
}

.sub-items a {
  position: relative;
  display: block;
  width: 100%;
  text-indent: 24px;
  line-height: 39px;
  color: #222;
  border-left: 2px solid #26397a;
  font-size: 20px;
}

.sub-items a:hover,
.sub-items a:active,
.sub-items a.active {
  color: #26397a;
  font-weight: bold;
  font-size: 20px;
}

.sub-items .current {
  position: relative;
  color: #26397a;
  border-color: white;
}

.sub-items > li:hover > a {
  color: #26397a;
  transition: color 0.4s ease-in-out;
}

.sub-items {
  display: none;
}


</style>
<section class="bc-gray section-2 single-products pos-relative">
  <div class="custom-container">
    <div class="products-wrap flex-js-b gap-1-5" style="align-items: start;">
      <div class="products-left">
        <div class="products-name">
          <h1 class="fs-40 mb-32">
            <?=@$cat->name ?>
          </h1>
          <p>
            <?=@$page->content ?>
          </p>
          <div class="products-info">
            <h2 class="h3-heading margin-h2"><?=@$page->name ?></h2>
            <div class="grids-3 gap-1-5">
              <?php if (!empty($photos)): ?>
                <?php foreach ($photos as $photo): ?>
                  <div class="card-img pos-relative">
                    <img class="products-img"  height="274" src="<?=base_url('upload/product/'.$photo->media)?>" alt="<?=@$cat->name ?> - #<?=@$photo->heading ?>" />
                    <span class="tags"><?=@$photo->heading ?></span>
                  </div>
                <?php endforeach; ?>
              <?php endif; ?>
            </div>
          </div>
        </div>
      </div>
      <div class="products-right" style="position: sticky; top: 20px;">
        <h3 class="h3-heading mb-32">Products & Services</h3>


        <ul class='items'>
          <?php foreach ($this->crud->getDataAll('categories') as $catData): ?>
            <li>
              <a href='#' <?=$catData->id === $page->category ? 'class="expanded"':null ?>>
                <?=$catData->name ?>
              </a>
              <ul class='sub-items' <?=$catData->id === $page->category ? 'style="display: block;"':null ?>>
                <?php $catProducts = $this->crud->getDataSingle('products', $catData->id, 'category', true); ?>
                <?php if (empty($catProducts)): ?>
                  <li>
                    <a href="#">
                      No products!
                    </a>
                  </li>
                <?php endif; ?>
                <?php foreach ($this->crud->getDataSingle('products', $catData->id, 'category', true) as $productDetails): ?>
                  <li>
                    <a href="<?=base_url('product/'.$productDetails->uri.'.php') ?>" <?=$this->uri->segment(2) === $productDetails->uri ? 'class="active"':null ?> aria-label="<?=$productDetails->name ?>">
                      <?=$productDetails->name ?>
                    </a>
                  </li>
                <?php endforeach; ?>
              </ul>
            </li>
          <?php endforeach; ?>
        </ul>


        <div class="name-products" style="display:none;">
          <!-- First product list -->
          <?php foreach ($this->crud->getDataAll('categories') as $catData): ?>
            <div class="faq product-list <?=$catData->id === $page->category ? 'active':null ?>">
              <h3 class="faq-question"><?=$catData->name ?></h3>
              <div class="faq-answer color-gray cpas">
                <div class="text-div">
                  <ul class="products-ul">
                    <?php $catProducts = $this->crud->getDataSingle('products', $catData->id, 'category', true); ?>
                    <?php if (empty($catProducts)): ?>
                      <li>
                        No products!
                      </li>
                    <?php endif; ?>
                    <?php foreach ($this->crud->getDataSingle('products', $catData->id, 'category', true) as $productDetails): ?>
                      <li>
                        <a class="nav-link" href="<?=base_url('product/'.$productDetails->uri.'.php') ?>" aria-label="<?=$productDetails->name ?>">
                          <?=$productDetails->name ?>
                        </a>
                      </li>
                    <?php endforeach; ?>
                  </ul>
                </div>
              </div>
            </div>
          <?php endforeach; ?>
        </div>
      </div>
    </div>
  </div>
</section>
