// document.addEventListener('DOMContentLoaded', function() {
// const faqs = document.querySelectorAll('.faq');
// function toggleFaq(faq) {
//     const answer = faq.querySelector('.faq-answer');
//     if (faq.classList.contains('active')) {
//         answer.style.height = '0';
//         faq.classList.remove('active');
//     } else {
//         faqs.forEach(item => {
//             if (item !== faq) {
//                 item.querySelector('.faq-answer').style.height = '0';
//                 item.classList.remove('active');
//             }
//         });
//         faq.classList.add('active');
//         const contentHeight = answer.scrollHeight + 'px';
//         answer.style.height = contentHeight;
//     }
// }
// faqs.forEach(faq => {
//     faq.querySelector('.faq-question').addEventListener('click', () => {
//         toggleFaq(faq);
//     });
// });
// // Check if there are any FAQs before trying to access them
// if (faqs.length > 0) {
//     const firstFaq = faqs[0];
//     firstFaq.classList.add('active');
//     const firstAnswer = firstFaq.querySelector('.faq-answer');
//     firstAnswer.style.height = firstAnswer.scrollHeight + 'px';
// }
// // menu toogle
// function toggleMenu(menuToggleSelector, menuSelector, bodyClass) {
//     const menuToggle = document.querySelector(menuToggleSelector);
//     const menu = document.querySelector(menuSelector);
//     const body = document.body;
//     // Add an event listener to the toggle button
//     menuToggle.addEventListener('click', () => {
//         // Toggle the 'active' class on the menu
//         menu.classList.toggle('active');
//         menuToggle.classList.toggle('active');
//         // Toggle the specified class on the body to prevent scrolling
//         if (bodyClass) {
//             body.classList.toggle(bodyClass);
//         }
//     });
// }
// toggleMenu('.menuToggle', '.mobileview', 'no-scroll');
// });
document.addEventListener('DOMContentLoaded', function () {
  const faqs = document.querySelectorAll('.faq');
  function toggleFaq(clickedFaq) {
    faqs.forEach(faq => {
      const answer = faq.querySelector('.faq-answer');
      if (faq === clickedFaq) {
        if (faq.classList.contains('active')) {
          faq.classList.remove('active');
          answer.style.height = '0'; // Collapse current FAQ
        } else {
          faq.classList.add('active');
          answer.style.height = `${answer.scrollHeight}px`; // Expand clicked FAQ
        }
      } else {
        faq.classList.remove('active');
        faq.querySelector('.faq-answer').style.height = '0'; // Collapse all other FAQs
      }
    });
  }
  faqs.forEach(faq => {
    faq.querySelector('.faq-question').addEventListener('click', () => {
      toggleFaq(faq);
    });
  });
  // Optional: Initialize the first FAQ as open
  if (faqs.length > 0) {
    const firstFaq = faqs[0];
    firstFaq.classList.add('active');
    const firstAnswer = firstFaq.querySelector('.faq-answer');
    firstAnswer.style.height = `${firstAnswer.scrollHeight}px`;
  }
});
$(document).ready(function() {
  if ($(window).width() < 992) {
    $('.nav-li.submenu-child > a').on('click touchstart', function(e) {
      e.preventDefault();
      // Close previously open submenus
      $('.nav-li.submenu-child > a').not(this).removeClass('menu-open');
      $('.nav-li.submenu-child').not($(this).closest('.nav-li.submenu-child')).removeClass('menu-open');
      $('.submenu').not($(this).siblings('.submenu')).slideUp();
      // Toggle the current submenu
      $(this).toggleClass('menu-open');
      $(this).closest('.nav-li.submenu-child').toggleClass('menu-open');
      $(this).siblings('.submenu').slideToggle();
    });
    $('.pm_submenu-list > a').on('click touchstart', function(e) {
      const href = $(this).attr('href');
      if (!href || href === '#' || href === 'javascript:void(0);') {
        e.preventDefault();
        // Close previously open submenus
        $('.pm_submenu-list > a').not(this).removeClass('submenu-open');
        $('.pm_sub-submenu').not($(this).next('.pm_sub-submenu')).removeClass('submenu-open').slideUp();
        // Toggle the current submenu
        $(this).toggleClass('submenu-open');
        $(this).next('.pm_sub-submenu').toggleClass('submenu-open');
        $(this).next('.pm_sub-submenu').slideToggle();
      } else {
        // Allow navigation for valid links
        window.location.href = href;
      }
    });
  }
});

// Function to handle main item clicks
$(".items > li > a").click(function(e) {
    e.preventDefault();
    var $this = $(this);
    if ($this.hasClass("expanded")) {
        $this.removeClass("expanded");
    } else {
        $(".items a.expanded").removeClass("expanded");
        $this.addClass("expanded");
        $(".sub-items").filter(":visible").slideUp("normal");
    }
    $this.parent().children("ul").stop(true, true).slideToggle("normal");
});

$(".sub-items a").click(function() {
    $(".sub-items a").removeClass("current");
    $(this).addClass("current");
});
