<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?= (!empty($seoTitle)) ? $seoTitle : $this->crud->getSetting('websiteName') ?></title>
  <meta name="description" content="<?= (!empty($seoDesc)) ? $seoDesc : $this->crud->getSetting('websiteName') ?>" />
  <meta name="keywords" content="<?= (!empty($seoKey)) ? $seoKey : $this->crud->getSetting('websiteName') ?>" />
  <meta name="author" content="WebsiteProvide-KrishnaJaiKumar">
  <meta property="og:title" content="<?= (!empty($seoTitle)) ? $seoTitle : $this->crud->getSetting('websiteName') ?>">
  <meta property="og:site_name" content="<?= $this->crud->getSetting('websiteName') ?>">
  <meta property="og:url" content="<?= current_url() ?>">
  <meta property="og:description" content="<?= (!empty($seoDesc)) ? $seoDesc : $this->crud->getSetting('websiteName') ?>">
  <meta property="og:type" content="website">
  <?php if ($pageType == 'static') : ?>
    <?php if (!empty($cover)) : ?>
      <meta property="og:image" content="<?= $cover ?>">
    <?php else : ?>
      <meta property="og:image" content="<?= base_url($this->crud->getSetting('websiteLogo')) ?>">
    <?php endif; ?>
  <?php endif; ?>
  <meta name="twitter:card" content="summary">
  <meta name="twitter:site" content="@<?= $this->crud->getSetting('websiteName') ?>">
  <meta name="twitter:title" content="<?= (!empty($seoTitle)) ? $seoTitle : $this->crud->getSetting('websiteName') ?>">
  <meta name="twitter:description" content="<?= (!empty($seoDesc)) ? $seoDesc : $this->crud->getSetting('websiteName') ?>">
  <?php if ($pageType == 'static') : ?>
    <?php if (!empty($cover)) : ?>
      <meta property="twitter:image" content="<?= $cover ?>">
    <?php else : ?>
      <meta property="twitter:image" content="<?= base_url($this->crud->getSetting('websiteLogo')) ?>">
    <?php endif; ?>
  <?php endif; ?>
  <?php
  $seoTagsString = (!empty($seoKey)) ? $seoKey : $this->crud->getSetting('websiteName');
  $seoTagsArr = explode(',', $seoTagsString);
  ?>
  <?php foreach ($seoTagsArr as $seoTag) : ?>
    <meta property="article:tag" content="<?= $seoTag ?>">
  <?php endforeach; ?>
  <link rel="canonical" href="<?= current_url() ?>">
  <link rel="shortcut icon" type="image/x-icon" href="<?=base_url('theme/')?>img/favicon.png">
  <link rel="stylesheet" href="<?=base_url('theme/')?>css/comnon.css">
</head>
<body>
  <header class="header">
    <div class="custom-container">
      <div class="flex-js-b logo-wrap">
        <div class="header-logo flex-acenter">
          <a href="index.php" aria-label="logo-reward">
            <img width="116" height="32" src="<?=base_url('theme/')?>img/micro.svg" alt="header logo">
          </a>
        </div>
        <div class="menuToggle">
          <span class="overlay-input"><span></span></span>
        </div>
        <div class="pm_nav-wrap">
  <button class="pm_nav-toggle">Menu</button>
  <ul class="pm_nav-ul pm_flex-js-b">
    <li class="pm_nav-li">
      <a class="pm_nav-link" href="<?=base_url()?>" aria-label="Home page">Home</a>
    </li>
    <li class="pm_nav-li pm_submenu-child">
      <a class="pm_nav-link" href="products.php" aria-label="Products and Services page">Products &amp; Services</a>
      <ul class="pm_submenu">
        <?php foreach ($this->crud->getDataAll('categories', 'name', 'asc') as $catMenuName): ?>
          <li class="pm_submenu-list">
            <a class="pm_nav-link" href="javascript:void(0);" aria-label="<?=$catMenuName->name ?>">
              <?=$catMenuName->name ?>
            </a>
            <?php if ($this->crud->getCount('products', 'category', $catMenuName->id) > 0): ?>
              <ul class="pm_sub-submenu">
                <?php foreach ($this->crud->getDataSingle('products', $catMenuName->id, 'category', true) as $productMenu): ?>
                  <li>
                    <a class="pm_nav-link" href="<?=base_url('product/'.$productMenu->uri.'.php') ?>" aria-label="<?=$productMenu->name?>">
                      <?=$productMenu->name ?>
                    </a>
                  </li>
                <?php endforeach; ?>
              </ul>
            <?php endif; ?>
          </li>
        <?php endforeach; ?>
      </ul>
    </li>
    <li class="pm_nav-li">
      <a class="pm_nav-link" href="<?=base_url('highlights.php')?>" aria-label="Highlights page">Highlights</a>
    </li>
    <li class="pm_nav-li">
      <a class="pm_nav-link" href="<?=base_url('shipping.php')?>" aria-label="Highlights page">Shipping</a>
    </li>
    <li class="pm_nav-li pm_submenu-child">
      <a class="pm_nav-link" href="<?=base_url('about.php')?>" aria-label="About page">About</a>
      <ul class="pm_submenu">
        <li class="pm_submenu-list">
          <a class="pm_nav-link" href="<?=base_url('mission.php')?>" aria-label="Mission page">Mission</a>
        </li>
        <li class="pm_submenu-list">
          <a class="pm_nav-link" href="<?=base_url('whychooseus.php')?>" aria-label="Why Choose Us page">Why Choose Us</a>
        </li>
      </ul>
    </li>
    <li class="pm_nav-li">
      <a class="pm_nav-link pm_contact-mnu" href="<?=base_url('contact.php')?>" aria-label="Contact Us page">Contact Us</a>
    </li>
  </ul>
</div>




      </div>
    </div>
  </header>
